QuantLib: FloatingCatBond Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.6

- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
FloatingCatBond Class Reference
Financial instruments

floating-rate cat bond (possibly capped and/or floored) More...

`#include <ql/experimental/catbonds/catbond.hpp>`

Inherits CatBond.

## Public Member Functions
| FloatingCatBond (Natural settlementDays, Real faceAmount, const Schedule &schedule, const boost::shared_ptr< IborIndex > &iborIndex, const DayCounter &accrualDayCounter, boost::shared_ptr< NotionalRisk > notionalRisk, BusinessDayConvention paymentConvention=Following, Natural fixingDays=Null< Natural >(), const std::vector< Real > &gearings=std::vector< Real >(1, 1.0), const std::vector< Spread > &spreads=std::vector< Spread >(1, 0.0), const std::vector< Rate > &caps=std::vector< Rate >(), const std::vector< Rate > &floors=std::vector< Rate >(), bool inArrears=false, Real redemption=100.0, const Date &issueDate=Date())
| FloatingCatBond (Natural settlementDays, Real faceAmount, const Date &startDate, const Date &maturityDate, Frequency couponFrequency, const Calendar &calendar, const boost::shared_ptr< IborIndex > &iborIndex, const DayCounter &accrualDayCounter, boost::shared_ptr< NotionalRisk > notionalRisk, BusinessDayConvention accrualConvention=Following, BusinessDayConvention paymentConvention=Following, Natural fixingDays=Null< Natural >(), const std::vector< Real > &gearings=std::vector< Real >(1, 1.0), const std::vector< Spread > &spreads=std::vector< Spread >(1, 0.0), const std::vector< Rate > &caps=std::vector< Rate >(), const std::vector< Rate > &floors=std::vector< Rate >(), bool inArrears=false, Real redemption=100.0, const Date &issueDate=Date(), const Date &stubDate=Date(), DateGeneration::Rule rule=DateGeneration::Backward, bool endOfMonth=false)

## Detailed Description

floating-rate cat bond (possibly capped and/or floored)

Tests:
  calculations are tested by checking results against cached values.